petsc-3.6.2 2015-10-02
Report Typos and Errors

# MatIncreaseOverlap

Given a set of submatrices indicated by index sets, replaces the index sets by larger ones that represent submatrices with additional overlap.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatIncreaseOverlap(Mat mat,PetscInt n,IS is[],PetscInt ov)

Collective on Mat

### Input Parameters

| mat | - the matrix
| n | - the number of index sets
| is | - the array of index sets (these index sets will changed during the call)
| ov | - the additional overlap requested

### See Also

MatGetSubMatrices()

Level:developer
Location:src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages